Skip to main content
Get detailed information about a specific escrow, including contract signature status (whether the seller and buyer have signed the contract). Only accessible if you created the escrow or your associated user account is the seller or buyer.
curl -X GET https://dhmad.tn/api/v1/escrows/507f1f77bcf86cd799439011 \
  -H "Authorization: Bearer sk_live_your_api_key_here" \
  -H "Content-Type: application/json"
{
  "escrow": {
    "id": "507f1f77bcf86cd799439011",
    "_id": "507f1f77bcf86cd799439011",
    "title": "Web Development Service",
    "amount": 1000.00,
    "escrowFee": 50.00,
    "status": "paid",
    "mode": "standard",
    "seller": {
      "_id": "507f1f77bcf86cd799439013",
      "email": "seller@example.com",
      "firstName": "John",
      "lastName": "Doe"
    },
    "buyer": {
      "_id": "507f1f77bcf86cd799439014",
      "email": "buyer@example.com",
      "firstName": "Jane",
      "lastName": "Smith"
    },
    "estimatedDeliveryDays": 7,
    "expiresAt": "2024-02-15T10:00:00Z",
    "paidAt": "2024-01-16T09:00:00Z",
    "deliveredAt": null,
    "completedAt": null,
    "cancelledAt": null,
    "createdAt": "2024-01-15T10:00:00Z",
    "updatedAt": "2024-01-16T09:00:00Z",
    "createdViaThirdParty": true,
    "createdByApplicationName": "My App",
    "disputeTicketId": "65f1a2b3c4d5e6f7a8b9c0d1",
    "disputeTicket": {
      "ticketNumber": "DHM-00042",
      "type": "dispute",
      "subject": "Dispute: Website redesign",
      "status": "open",
      "createdAt": "2024-01-17T10:00:00Z",
      "previewReason": "Delivered work does not match the agreed scope."
    },
    "signatures": {
      "sellerSigned": true,
      "sellerSignedAt": "2024-01-15T11:00:00Z",
      "buyerSigned": true,
      "buyerSignedAt": "2024-01-16T09:00:00Z",
      "isFullySigned": true,
      "signedAt": "2024-01-16T09:00:00Z"
    }
  }
}

Path Parameters

id
string
required
The escrow ID

Response Fields

When no contract exists for the escrow yet, signatures is null. Use sellerSigned, buyerSigned, and isFullySigned to check contract signing status without calling the contract endpoint.

Error Responses

400 Bad Request

Invalid Escrow ID
{
  "error": "Invalid escrow ID"
}

403 Forbidden

Not Your Escrow
{
  "error": "Forbidden",
  "message": "You do not have access to this escrow. You can only view escrows where you are the seller or buyer."
}

404 Not Found

Escrow Not Found
{
  "error": "Escrow not found"
}
This error occurs if the escrow ID doesn’t exist.
You can only access escrows where your associated user account is the seller or buyer. If you try to access an escrow you’re not involved in, you’ll receive a 403 Forbidden error.